<template>
  <div class='sign-up'>
    <div class='sign-up__container container'>
      <h1>Sign up</h1>
      <div class='sign-up__form'>
        <base-input
          :label='"Mail"'
          class='sign-up__input'
        />
        <base-input
          :label='"Password"'
          class='sign-up__input'
          type='password'
        />
        <base-input
          :label='"Confirm password"'
          class='sign-up__input'
          type='password'
        />
        <div class='sign-up__checkbox'>
          <base-checkbox v-model='termsOfUse' :label='""'/>
          <p class='sign-up__checkbox-text' @click='toggleTermsOfUse'>I have read and I agree to <span>terms of use</span></p>
        </div>
        <base-button class='sign-up__register' shaded>
          Register
        </base-button>
      </div>
    </div>
  </div>
</template>

<script>
import BaseInput from '../components/base/BaseInput'
import BaseButton from '../components/base/BaseButton'
import BaseCheckbox from '../components/base/BaseCheckbox'
export default {
  components: { BaseCheckbox, BaseButton, BaseInput },
  data() {
    return {
      mail: '',
      password: '',
      confirmPassword: '',
      termsOfUse: ''
    }
  },

  methods: {
    toggleTermsOfUse() {
      this.termsOfUse = !this.termsOfUse
    }
  }
}
</script>


<style lang='scss' scoped>

.sign-up {
  padding-top: 180px;
  padding-bottom: 200px;
  background: linear-gradient(169.68deg, #1F0C71 27.28%, #041344 67.8%);

  &__container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  h1 {
    color: #FFFFFF;
  }

  &__form {
    padding: 30px 40px 50px;
    border-radius: 6px;
    background: white;
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    max-width: 430px;
  }

  &__input {
    margin-bottom: 15px;
    width: 350px;

    &:last-child {
      margin-bottom: 25px;
    }
  }

  &__register {
    width: 100%;
    justify-content: center;
    padding: 12px 30px;
    border-radius: 4px;
    margin-top: 15px;
  }

  &__checkbox {
    display: flex;
    align-items: center;
    margin-right: auto;
  }

  &__checkbox-text {
    cursor: pointer;

    span {
      color: #0066FF;;
    }
  }
}



</style>
